Package org.apache.calcite.avatica.remote

# Class Service.TypeInfoRequest

java.lang.Object
org.apache.calcite.avatica.remote.Service.Base
org.apache.calcite.avatica.remote.Service.Request
org.apache.calcite.avatica.remote.Service.TypeInfoRequest

Enclosing interface:
  Service

public static class Service.TypeInfoRequest extends Service.Request
Request for `Meta.getTypeInfo(Meta.ConnectionHandle)`.

## Field Summary

Fields
Modifier and Type
Field
Description
`final String`
`connectionId`

## Constructor Summary

Constructors
Constructor
Description
`TypeInfoRequest()`
`TypeInfoRequest(String connectionId)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`hashCode()`

### Methods inherited from class org.apache.calcite.avatica.remote.Service.Base

`p, p, p, p`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### connectionId

public final String connectionId

## Constructor Details

### TypeInfoRequest

public TypeInfoRequest()

### TypeInfoRequest

public TypeInfoRequest(String connectionId)

## Method Details

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`